using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using LLNet.GUI;
using LLNet.Utils;

namespace LLNet.Tienda.MainForms.Forms.MisPuntos
{
    public partial class frmPassCBB : Form
    {
        private String cedula = String.Empty;
        public frmPassCBB(int _codRespuesta, String _cedula)
        {
            InitializeComponent();
            cedula = _cedula;
            if (_codRespuesta == -1)
            {
                CApp.ShowMessage("Credenciales incorrectos", "Gestionar Club del Bebé - Club Bebé", true);
            }
            else
            {
                if (_codRespuesta == -2)
                {
                    CApp.ShowMessage("Modulo de permiso especial no existe, consulte al administrador del sistema", "Gestionar Club del Bebé - Club Bebé", true);
                }
                else
                {
                    if (_codRespuesta == -3)
                    {
                        CApp.ShowMessage("Sus credenciales de acceso no tienen asociado el modulo de permiso especial", "Gestionar Club del Bebé - Club Bebé", true);
                    }
                }
            }
 
        }

        private void btn_verificarPermisoEspecialCBB_Click(object sender, EventArgs e)
        {
            int Codrespuesta = 0;
            Utils.QueryParams qp = new LLNet.Utils.QueryParams();
            qp = new QueryParams();
            qp.AddReplaceParam("P_C_USUARIO", txt_usuarioEspecialCBB.Text);
            qp.AddReplaceParam("P_C_PASSWORD", txt_PasswordEspecialCBB.Text);
            qp.AddReplaceParam("P_C_MODULE", "TDA_CBB_Club_Bebe_especial");
            Codrespuesta = Convert.ToInt32(GUI.CApp.bll.GetSingleValue("cbb_VALIDA_PERMISO_ESPECIAL", qp, "PDV"));
            if (Codrespuesta > 0)
            {
                //frmAfiliacion frmAv = new frmAfiliacion();
                //frmAv.Hide();
                //this.Hide();
                frmGestionCbb frmGcbb = new frmGestionCbb(cedula, "", "", "", "", "", "", "",0);
                frmGcbb.Show();
            }
            else
            {
                if (Codrespuesta == -1)
                {
                    CApp.ShowMessage("Credenciales incorrectos", "Gestionar Club del Bebé - Club Bebé", true);
                }
                else
                {
                    if (Codrespuesta == -2)
                    {
                        CApp.ShowMessage("Modulo de permiso especial no existe, consulte al administrador del sistema", "Gestionar Club del Bebé - Club Bebé", true);
                    }
                    else
                    {
                        if (Codrespuesta == -3)
                        {
                            CApp.ShowMessage("Sus credenciales de acceso no tienen asociado el modulo de permiso especial", "Gestionar Club del Bebé - Club Bebé", true);
                        }
                    }
                }
                
            }
        }

        private void btn_CancelarverificarPermisoEspecialCBB_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
